> ## Documentation Index
> Fetch the complete documentation index at: https://docs.drive.markets/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Multiple Orders

> Cancel multiple orders by providing a list of order IDs.

[Polymarket Docs](https://docs.polymarket.com/developers/CLOB/orders/cancel-orders)


## OpenAPI

````yaml DELETE /orders
openapi: 3.0.0
info:
  title: HTTP API
  version: 1.0.0
  description: >-
    This service distributes your order flow through a network of globally
    distributed, parallelized routing paths, delivering low-latency execution
    via Polymarket's [CLOB
    API](https://docs.polymarket.com/quickstart/introduction/main).
servers:
  - url: https://poly.drive.markets
security: []
paths:
  /orders:
    delete:
      tags:
        - Cancel Order
      summary: Cancel Multiple Orders
      description: Cancel multiple orders by providing a list of order IDs.
      parameters:
        - $ref: '#/components/parameters/L2HeaderApiKey'
        - $ref: '#/components/parameters/L2HeaderSignature'
        - $ref: '#/components/parameters/L2HeaderTimestamp'
        - $ref: '#/components/parameters/L2HeaderNonce'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: array
              items:
                type: string
              description: IDs of the orders to cancel
      responses:
        '200':
          description: Cancellation response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CancelResponse'
components:
  parameters:
    L2HeaderApiKey:
      in: header
      name: POLY-API-KEY
      schema:
        type: string
      required: true
      description: API key of the user
    L2HeaderSignature:
      in: header
      name: POLY-SIGNATURE
      schema:
        type: string
      required: true
      description: Request signature
    L2HeaderTimestamp:
      in: header
      name: POLY-TIMESTAMP
      schema:
        type: string
      required: true
      description: Timestamp of the request
    L2HeaderNonce:
      in: header
      name: POLY-NONCE
      schema:
        type: string
      required: true
      description: Request nonce
  schemas:
    CancelResponse:
      type: object
      properties:
        canceled:
          type: array
          items:
            type: string
          description: List of canceled order IDs
        not_canceled:
          type: object
          additionalProperties:
            type: string
          description: Map of order ID to reason why it couldn't be canceled

````